local _IterStack = {}


function _IterStack.new()
    local self = {}
    self.s = {}
    _IterStack.__index = _IterStack
    return setmetatable(self, _IterStack)
end


function _IterStack:push(iter)
    table.insert(self.s, iter)
end


function _IterStack:pop()
    return table.remove(self.s)
end


function _IterStack:peek()
    return self.s[#self.s]
end


function _IterStack:get_next()
    local iter = self:peek()
    if not iter then return nil end

    local next = iter()
    if not next then
        if self:pop() ~= nil then
            return self:get_next()
        end
        return nil
    end
    return next
end


return _IterStack
