local SelectableNode = require "kong.gql.query.nodes.selectable_node"


local _FieldNode = SelectableNode:extend()


-- @param name: name of field
-- @param arguments: dictionary of key, value pairs
-- @param children: [SelectionNode]
function _FieldNode:new(name, arguments, selection_set, directives, alias)
    _FieldNode.super.new(self, name, selection_set, directives)
    self.arguments = arguments or {}
    self.alias = alias
end


function _FieldNode:__tostring()
    return string.format('FieldNode[%s]', self.alias or self.name)
end


return _FieldNode
