local SelectableNode = require'kong.gql.query.nodes.selectable_node'
local util = require'kong.gql.util'

local _OperationNode = SelectableNode:extend()


-- @param _type: query, mutation, subscription
-- @param selection_set: [SelectionNode]
-- @param(opt) name: string
-- @param var_defs: [VarDef]
function _OperationNode:new(_type, selection_set, name, var_defs, directives)
    _OperationNode.super.new(self, name, selection_set, directives)
    self.type = _type
    self.var_defs = var_defs or {}
end


function _OperationNode:children()
    return util.lst_to_iter(self.selection_set)
end


function _OperationNode:__tostring() return
    string.format('OperationNode[%s]', self.type)
end


return _OperationNode
